# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TDBSqlCsvFormat

Packages that use TDBSqlCsvFormat
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDBSqlCsvFormat in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TDBSqlCsvFormat
Modifier and Type
Class
Description
`class`
`TDBSqlCsvFormat`
`class`
`TDBSqlCsvFormat`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDBSqlCsvFormat
Modifier and Type
Method
Description
`TDBSqlCsvFormat`
TDBSqlCsvFormat.`deepCopy()`
`TDBSqlCsvFormat`
TDBSqlResultFormat.`getCsvFormat()`
`TDBSqlCsvFormat`
TDBSqlCsvFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlCsvFormat
Modifier and Type
Method
Description
`int`
TDBSqlCsvFormat.`compareTo(TDBSqlCsvFormat other)`
`static TDBSqlResultFormat`
TDBSqlResultFormat.`csvFormat(TDBSqlCsvFormat value)`
`boolean`
TDBSqlCsvFormat.`equals(TDBSqlCsvFormat that)`
`void`
TDBSqlResultFormat.`setCsvFormat(TDBSqlCsvFormat value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlCsvFormat
Modifier
Constructor
Description
``
`TDBSqlCsvFormat(TDBSqlCsvFormat other)`
Performs a deep copy on other.